[hibiscus_horz]

HowTo: Fix Ubuntu “Requires Installation of Untrusted Packages” Update Error

One of the first things I did after I got my Lenovo IdeaPad Y560 was to make it dual boot to Windows 7 and Ubuntu. After I have installed Ubuntu, I immediately run the Update Manager to update the system. Btw, I always update the system (either Windows or Ubuntu) before I install any programs or do any customizations. This makes sure that all components are up-to-date and helps make the system run smoother and lessens the chances of errors or conflicts with other components.
Anyways, when I tried to download and install the available updates for Ubuntu, I got this error message:

Requires installation of untrusted packages – “The action would require the installation of packages from not authenticated sources.”

I’ve installed Ubuntu lots of times before and this was the first time that I encountered this issue/error. I Googled the error message and found the very short and very simple solution from the Ubuntu forums. I’m sharing this in case someone might encounter the same problem and get the “requires installation of untrusted packages” error while updating Ubuntu.
Here’s how to do it:
1. On your Ubuntu panel, click on System > Administration > Update Manager.
Ubuntu Update Error
2. Look for Settings at the bottom left corner of the Update Manager window, click on it.
Ubuntu Update Error
3. On the Software Sources window, click on the Ubuntu Software tab.
4. Under Downloadable from the Internet, put a check on Source Code.
Ubuntu Update Error
5. Close the window and the changes will be applied.
6. On Update Manager, click on Install Updates.
That should do it and you should now be able to download and install the available updates for your system. In my case, the Source Code option was not ticked/checked. After I put a check on it and clicked on Install Updates, the “requires installation of untrusted packages” error went away.

Hope this short and simple tutorial will help you if you encounter the same problem while updating Ubuntu. If you know of a different way to solve this problem when updating Ubuntu, please feel free to share it with us via the comment section. Thank you!


TOP